<?php

namespace App\Http\Requests\V1\Company;

use Illuminate\Foundation\Http\FormRequest;

class CheckBusinessNumberRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'business_number' => 'required|string|min:10|max:13',
        ];
    }

    public function messages(): array
    {
        return [
            'business_number.required' => __('validation.required', ['attribute' => '사업자등록번호']),
            'business_number.min' => __('validation.min.string', ['attribute' => '사업자등록번호', 'min' => 10]),
        ];
    }
}
